<?php
/**
 * Created by PhpStorm.
 * User: crose
 * Date: 2/2/16
 * Time: 8:47 AM
 */

namespace qfq;

require_once(__DIR__ . '/database/AbstractDatabaseTest.php');

/**
 * Class SaveTest
 */
class SaveTest extends AbstractDatabaseTest {

    public function testUpdateRecord() {

        $save = new Save([F_DB_INDEX => DB_INDEX_DEFAULT], array(), array(), array());
//        $db = new Database();

        $values = ['name' => 'Doe', 'firstName' => 'John'];
        $id = $save->insertRecord('Person', $values);

        $values = ['name' => 'Doe', 'firstName' => 'Big John'];
        $save->updateRecord('Person', $values, $id);

        $sql = "SELECT name, firstName FROM Person WHERE id = ? ";
        $result = $this->dbArray[DB_INDEX_DEFAULT]->sql($sql, ROW_REGULAR, [$id]);

        $this->assertEquals($values, $result[0]);

    }

    public function testInsertRecord() {

        $save = new Save([F_DB_INDEX => DB_INDEX_DEFAULT], array(), array(), array());
//        $db = new Database();

        $values = ['name' => 'Doe', 'firstName' => 'John'];
        $id = $save->insertRecord('Person', $values);

        $sql = "SELECT name, firstName FROM Person WHERE id = ? ";

        $result = $this->dbArray[DB_INDEX_DEFAULT]->sql($sql, ROW_REGULAR, [$id]);

        $this->assertEquals($values, $result[0]);

    }

    /**
     * @throws CodeException
     * @throws DbException
     * @throws UserFormException
     * @throws UserReportException
     */
    protected function setUp() {
        parent::setUp();

        $this->executeSQLFile(__DIR__ . '/database/fixtures/Generic.sql', true);
    }

}
